Agency
Read a role's recruiting brief
Use for one role’s full recruiting brief. roleId from listAgencyRoles or searchAgencyRoles; member need not be approved. When company.confidentialSearch true, name employer only as company.anonymizedName.
Required scopes: agency_roles:read.
GET
/
agency
/
roles
/
{roleId}
Read a role's recruiting brief
curl --request GET \
--url https://external-api.paraform.com/api/external/v1/agency/roles/{roleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://external-api.paraform.com/api/external/v1/agency/roles/{roleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external-api.paraform.com/api/external/v1/agency/roles/{roleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external-api.paraform.com/api/external/v1/agency/roles/{roleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external-api.paraform.com/api/external/v1/agency/roles/{roleId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external-api.paraform.com/api/external/v1/agency/roles/{roleId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external-api.paraform.com/api/external/v1/agency/roles/{roleId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"confidentialSearch": true,
"anonymizedName": "<string>",
"oneLiner": "<string>",
"description": "<string>",
"industries": [
"<string>"
],
"size": 123,
"foundingYear": 123,
"teamAbout": "<string>",
"locations": [
"<string>"
],
"officeLocations": [
"<string>"
],
"websiteUrl": "<string>",
"linkedinUrl": "<string>",
"fundingAmount": "<string>",
"totalFundingAmount": "<string>",
"lastFundingRound": "<string>",
"fundingInfoUrl": "<string>",
"pressUrls": [
"<string>"
],
"benefits": [
"<string>"
],
"cultureValues": [
"<string>"
],
"teamImageUrls": [
"<string>"
],
"productImageUrls": [
"<string>"
]
},
"status": "ACTIVE",
"locations": [
"<string>"
],
"workplaceType": "REMOTE",
"baseSalary": {
"currency": "<string>",
"min": 123,
"max": 123
},
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"responsibilities": [
"<string>"
],
"techStack": [
"<string>"
],
"experience": {
"yearsMin": 123,
"yearsMax": 123,
"description": "<string>"
},
"visaInformation": "<string>",
"equity": "<string>",
"salaryDetails": "<string>",
"positionExplanation": "<string>",
"hiringGoals": "<string>",
"workplaceDetails": "<string>",
"employmentType": "<string>",
"postedAt": "2023-11-07T05:31:56Z",
"requirements": [
{
"description": "<string>",
"explanation": "<string>",
"type": "REQUIRED",
"required": true
}
],
"interviewStages": [
{
"name": "<string>",
"description": "<string>"
}
],
"submissionQuestions": [
{
"id": "<string>",
"question": "<string>",
"explanation": "<string>",
"required": true,
"recruiterOnly": true,
"priority": "HIGH"
}
],
"recruitingGuidance": {
"sellingPoints": [
{
"title": "<string>",
"description": "<string>"
}
],
"recruitingAdvice": "<string>",
"hiringManagerTip": "<string>",
"outreachGuidelines": "<string>",
"outreachHighlights": [
"<string>"
],
"outreachResponsibilities": "<string>",
"recruiterSellingPoints": "<string>",
"candidateSellingPoints": "<string>",
"outreachTemplates": [
{
"name": "<string>",
"subject": "<string>",
"body": "<string>"
}
]
},
"candidateTargeting": {
"idealTraits": [
"<string>"
],
"avoidTraits": [
"<string>"
],
"idealCandidateDescription": "<string>",
"targetCompanies": {
"description": "<string>",
"goodFitCategories": [
"<string>"
]
},
"avoidCompanies": {
"badFitCategories": [
"<string>"
]
}
},
"additionalContext": {
"highlightTitle": "<string>",
"highlightDescription": "<string>",
"faqs": [
{
"question": "<string>",
"answer": "<string>"
}
],
"announcements": [
{
"message": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"intakeTranscripts": [
{
"id": "<string>",
"title": "<string>",
"recordedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"text": "<string>",
"summary": "<string>"
}
]
}Authorizations
Path Parameters
Query Parameters
Email of currently approved member of your agency, e.g. jane@agency.com. Results use that member's permissions; does not authenticate key holder. Unknown, other-agency, or unapproved member answers 403.
Maximum string length:
254Response
200 - application/json
Success
⌘I
Read a role's recruiting brief
curl --request GET \
--url https://external-api.paraform.com/api/external/v1/agency/roles/{roleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://external-api.paraform.com/api/external/v1/agency/roles/{roleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external-api.paraform.com/api/external/v1/agency/roles/{roleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external-api.paraform.com/api/external/v1/agency/roles/{roleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external-api.paraform.com/api/external/v1/agency/roles/{roleId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external-api.paraform.com/api/external/v1/agency/roles/{roleId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external-api.paraform.com/api/external/v1/agency/roles/{roleId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"confidentialSearch": true,
"anonymizedName": "<string>",
"oneLiner": "<string>",
"description": "<string>",
"industries": [
"<string>"
],
"size": 123,
"foundingYear": 123,
"teamAbout": "<string>",
"locations": [
"<string>"
],
"officeLocations": [
"<string>"
],
"websiteUrl": "<string>",
"linkedinUrl": "<string>",
"fundingAmount": "<string>",
"totalFundingAmount": "<string>",
"lastFundingRound": "<string>",
"fundingInfoUrl": "<string>",
"pressUrls": [
"<string>"
],
"benefits": [
"<string>"
],
"cultureValues": [
"<string>"
],
"teamImageUrls": [
"<string>"
],
"productImageUrls": [
"<string>"
]
},
"status": "ACTIVE",
"locations": [
"<string>"
],
"workplaceType": "REMOTE",
"baseSalary": {
"currency": "<string>",
"min": 123,
"max": 123
},
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"responsibilities": [
"<string>"
],
"techStack": [
"<string>"
],
"experience": {
"yearsMin": 123,
"yearsMax": 123,
"description": "<string>"
},
"visaInformation": "<string>",
"equity": "<string>",
"salaryDetails": "<string>",
"positionExplanation": "<string>",
"hiringGoals": "<string>",
"workplaceDetails": "<string>",
"employmentType": "<string>",
"postedAt": "2023-11-07T05:31:56Z",
"requirements": [
{
"description": "<string>",
"explanation": "<string>",
"type": "REQUIRED",
"required": true
}
],
"interviewStages": [
{
"name": "<string>",
"description": "<string>"
}
],
"submissionQuestions": [
{
"id": "<string>",
"question": "<string>",
"explanation": "<string>",
"required": true,
"recruiterOnly": true,
"priority": "HIGH"
}
],
"recruitingGuidance": {
"sellingPoints": [
{
"title": "<string>",
"description": "<string>"
}
],
"recruitingAdvice": "<string>",
"hiringManagerTip": "<string>",
"outreachGuidelines": "<string>",
"outreachHighlights": [
"<string>"
],
"outreachResponsibilities": "<string>",
"recruiterSellingPoints": "<string>",
"candidateSellingPoints": "<string>",
"outreachTemplates": [
{
"name": "<string>",
"subject": "<string>",
"body": "<string>"
}
]
},
"candidateTargeting": {
"idealTraits": [
"<string>"
],
"avoidTraits": [
"<string>"
],
"idealCandidateDescription": "<string>",
"targetCompanies": {
"description": "<string>",
"goodFitCategories": [
"<string>"
]
},
"avoidCompanies": {
"badFitCategories": [
"<string>"
]
}
},
"additionalContext": {
"highlightTitle": "<string>",
"highlightDescription": "<string>",
"faqs": [
{
"question": "<string>",
"answer": "<string>"
}
],
"announcements": [
{
"message": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"intakeTranscripts": [
{
"id": "<string>",
"title": "<string>",
"recordedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"text": "<string>",
"summary": "<string>"
}
]
}